Name:           perl-Pod-Constants
Version:        0.19
Release:        5%{?dist}
Summary:        Include constants from POD
License:        Artistic 2.0

URL:            http://search.cpan.org/dist/Pod-Constants/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MG/MGV/Pod-Constants-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(lib)
BuildRequires:  perl(Pod::Parser)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Pod::Constants allows you to extract data from your POD at run-time, meaning
you can do things like declare constants in POD and not have to update two
places at once every time you make a change.


%prep
%autosetup -n Pod-Constants-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -delete


%check
make test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/Pod::Constants.*


%changelog
* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.19-5
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Aug 12 2016 Sandro Mani <manisandro@gmail.com> - 0.19-3
- Add missing BRs

* Wed Jul 20 2016 Sandro Mani <manisandro@gmail.com> - 0.19-2
- BR: perl-generators
- Use CPAN URL

* Wed Jul 06 2016 Sandro Mani <manisandro@gmail.com> - 0.19-1
- Update to 0.19

* Mon Jul 04 2016 Sandro Mani <manisandro@gmail.com> - 0.18-1
- Initial package
